package cn.teammodel.model.entity.news;

import cn.teammodel.model.entity.BaseItem;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * code: News-{schoolId}
 * @author winter
 * @create 2024-02-26 17:05
 */
@EqualsAndHashCode(callSuper = true)
@Container(containerName = "School")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class News extends BaseItem {
    private String title;
    private String periodId;
    private String desc;
    private String content;
    private String cover;
    private String creator;
    private String creatorId;
    private Long createTime;
}
